# Method: projects.locations.instances.inventories.get

- [HTTP request](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.locations.instances.inventories/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.locations.instances.inventories/get#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.locations.instances.inventories/get#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.locations.instances.inventories/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.locations.instances.inventories/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.locations.instances.inventories/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.locations.instances.inventories/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.locations.instances.inventories/get#try-it)

Get inventory data for the specified VM instance. If the VM has no associated inventory, the message `NOT_FOUND` is returned.

### HTTP request

`GET https://osconfig.googleapis.com/v1/{name=projects/*/locations/*/instances/*/inventory}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. API resource name for inventory resource. Format: `projects/{project}/locations/{location}/instances/{instance}/inventory` For `{project}`, either `project-number` or `project-id` can be provided. For `{instance}`, either Compute Engine `instance-id` or `instance-name` can be provided. |

### Query parameters

| Parameters ||
|---|---|
| `view` | ``enum (`https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/InventoryView`)`` Inventory view indicating what information should be included in the inventory resource. If unspecified, the default view is BASIC. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.locations.instances.inventories#Inventory`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `osconfig.inventories.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).